# IS

Abstract PETSc object that indexing.

### Synopsis

    typedef struct _p_IS* IS;

### See Also

ISCreateGeneral(), ISCreateBlock(), ISCreateStride(), ISGetIndices(), ISDestroy()

Level:beginner
Location: src/vec/is/../../../include/petscis.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/examples/tutorials/ex1.c.html
src/vec/is/examples/tutorials/ex2.c.html
src/vec/is/examples/tutorials/ex3.c.html